AutoLISP: Fillet Match Radius

This is my 101st post. I missed the 100th post. I am proud that this blog was only started in November and yet has so many posts. Hopefully I can continue to find helpful stuff for you to make your daily CAD use a little easier. So thanks everyone.

Here’s is a great routine by Kent Cooper found at the AutoCAD forums. It will let you select either a circle, arc or even an ellipse and use the radius of one of these objects and set that as the fillet radius.

Here’s how:

  • FMR <enter> to start (Fillet Match Radius0
  • Select either a Circle, Arc or Ellipse to set your fillet radius
  • Select objects to be filleted

; by Kent Cooper

(defun C:FMR (/ aper pt); = Fillet Match Radius [of existing curve]

; to apply the radius of a selected curved object in the Fillet command

; Kent Cooper, June 2011

(setq aper (getvar 'aperture))

(while

(not (setq pt (cadr (entsel "Select curve to set Fillet Radius: "))))

(prompt "\nNothing selected -- ")

); end while

(setvar 'aperture (getvar 'pickbox)); ensures Osnap won't "see" wrong thing

(if (osnap pt "cen")

(setvar 'filletrad (distance (osnap pt "nea") (osnap pt "cen"))); then

(progn ; else

(prompt "\nNo radius for that object.")

(setvar 'aperture aper)

(exit)

); end progn

); end if

(setvar 'aperture aper)

(command "_.fillet" "_mUltiple")

(princ)

)
Advertisements

About AutoCAD Tips

This blog serves as a knowledge base for myself (and anyone else) so that I can reference tips & tricks that I have learned and also refer others to it as well. I hope that this blog helps you learn at least one tip to make your drafting/design experience better.
This entry was posted in AutoLISP, Modifying, TIPS. Bookmark the permalink.

4 Responses to AutoLISP: Fillet Match Radius

  1. Ricky Martinez says:

    Very cool. I am a Cad Manager want a be from the past. Since first started using Autocad ’91 and was introduced to my first autolisp routine I was hook. Now after all these years I have become a autolisp junky. I forgotten how much I wanted to be a Cad Manager but I did not forget the importance of AutoCAD methodolgy for being effecient and working smarter.

    It sounds you got it together and succeeded doing what I always wanted to do. Keep up the good work. Thanks

    Ricky MArtinez

    • AutoCAD Tips says:

      Thank you for the compliment Ricky. I am simply happy that I can share something useful to other AutoCAD users. I hope that you find this blog helpful and find something on here that you can show someone else as well. After all, I didn’t make this stuff up I just help show how to use it…
      It is funny how AutoLISP can become a hobby. Constantly looking for a useful routine that you don’t have an immediate use for but pack it away for some time in the future. Yes, I too am a LISP junkie.

      ~Greg

  2. Kent Cooper says:

    I would point out that you can also get the radius from a Polyline arc segment, or even from something like a circular edge of a Region or 3D Solid. [The Ellipse possibility may not be very meaningful, because it reads the distance from its center to wherever you happen to pick on it, which of course varies, but Ellipses do have centers, which is the basis of its validity test. Maybe a future upgrade will disallow them, or perhaps use one of their half-axis lengths.]

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s